@prefix lv2:  <http://lv2plug.in/ns/lv2core#> .
@prefix foaf: <http://xmlns.com/foaf/0.1/> .
@prefix doap: <http://usefulinc.com/ns/doap#> .

<http://home.gna.org/lv2vocoder/1>
  a lv2:Plugin;
    doap:maintainer [
	foaf:name "Nedko Arnaudov";
	foaf:homepage <https://gna.org/projects/lv2vocoder/> ;
	foaf:mbox <mailto:nedko@arnaudov.name> ;
    ] ;
  doap:name "Vocoder";
  doap:license <http://usefulinc.com/doap/licenses/gpl>;

  lv2:port [
    a lv2:InputPort, lv2:AudioPort;
    lv2:datatype lv2:float;
    lv2:index 0;
    lv2:symbol "formant";
    lv2:name "Formant audio input";
  ],

  [
    a lv2:InputPort, lv2:AudioPort;
    lv2:datatype lv2:float;
    lv2:index 1;
    lv2:symbol "carrier";
    lv2:name "Carrier audio input";
  ],

  [
    a lv2:OutputPort, lv2:AudioPort;
    lv2:datatype lv2:float;
    lv2:index 2;
    lv2:symbol "output";
    lv2:name "Vocoder audio output";
  ],

  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 3;
    lv2:symbol "active";
    lv2:name "Number of active bands";
    lv2:minimum 0;
    lv2:default 7;
    lv2:maximum 16;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 4;
    lv2:symbol "150";
    lv2:name "Level of band 150 Hz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 5;
    lv2:symbol "255";
    lv2:name "Level of band 255 Hz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 6;
    lv2:symbol "360";
    lv2:name "Level of band 360 Hz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 7;
    lv2:symbol "465";
    lv2:name "Level of band 465 Hz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 8;
    lv2:symbol "600";
    lv2:name "Level of band 600 Hz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 9;
    lv2:symbol "738";
    lv2:name "Level of band 738 Hz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 10;
    lv2:symbol "907";
    lv2:name "Level of band 907 Hz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 11;
    lv2:symbol "1k1";
    lv2:name "Level of band 1.1 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 12;
    lv2:symbol "1k3";
    lv2:name "Level of band 1.3 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 13;
    lv2:symbol "1k6";
    lv2:name "Level of band 1.6 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 14;
    lv2:symbol "2k";
    lv2:name "Level of band 2 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 15;
    lv2:symbol "2k5";
    lv2:name "Level of band 2.5 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 16;
    lv2:symbol "3k1";
    lv2:name "Level of band 3.1 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 17;
    lv2:symbol "3k8";
    lv2:name "Level of band 3.8 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 18;
    lv2:symbol "4k7";
    lv2:name "Level of band 4.7 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ],
  
  [
    a lv2:InputPort, lv2:ControlPort;
    lv2:index 19;
    lv2:symbol "5k8";
    lv2:name "Level of band 5.8 KHz";
    lv2:minimum 0;
    lv2:default 1;
    lv2:maximum 1;
  ].
